### Class

# Foundry TemplateManager

#### Description

    final class Foundry.TemplateManager : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_template_manager_new

No description available.

#### Instance methods

###### foundry_template_manager_find_template

No description available.

###### foundry_template_manager_list_code_templates

Queries all `FoundryTemplateProvider` for available `FoundryCodeTemplate`.

###### foundry_template_manager_list_project_templates

Queries all `FoundryTemplateProvider` for available `FoundryProjectTemplate`.

###### foundry_template_manager_list_templates

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTemplateManagerClass {
      /* no available fields */
    }

No description available.